Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Mike Gilbert (floppym)" <floppym@g.o>
Subject: gentoo-x86 commit in dev-python/pypy: pypy-1.7-r2.ebuild ChangeLog
Date: Thu, 2 Feb 2012 22:04:21 +0000 (UTC)
floppym     12/02/02 22:04:21

  Modified:             pypy-1.7-r2.ebuild ChangeLog
  Log:
  Add sqlite USE flag, patch by Arfrever. Make several variables local.
  
  (Portage version: 2.2.0_alpha84/cvs/Linux x86_64)

Revision  Changes    Path
1.2                  dev-python/pypy/pypy-1.7-r2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy/pypy-1.7-r2.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy/pypy-1.7-r2.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy/pypy-1.7-r2.ebuild?r1=1.1&r2=1.2

Index: pypy-1.7-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pypy/pypy-1.7-r2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pypy-1.7-r2.ebuild	1 Feb 2012 20:46:19 -0000	1.1
+++ pypy-1.7-r2.ebuild	2 Feb 2012 22:04:21 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy/pypy-1.7-r2.ebuild,v 1.1 2012/02/01 20:46:19 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy/pypy-1.7-r2.ebuild,v 1.2 2012/02/02 22:04:21 floppym Exp $
 
 EAPI="4"
 
@@ -15,15 +15,16 @@
 SLOT="${SLOTVER}"
 PYTHON_ABI="2.7-pypy-${SLOTVER}"
 KEYWORDS="~amd64 ~x86"
-IUSE="doc examples +jit sandbox test bzip2 ncurses xml ssl"
+IUSE="bzip2 doc examples +jit ncurses sandbox sqlite ssl xml"
 
 RDEPEND=">=sys-libs/zlib-1.1.3
 		virtual/libffi
 		virtual/libintl
 		bzip2? ( app-arch/bzip2 )
 		ncurses? ( sys-libs/ncurses )
-		xml? ( dev-libs/expat )
-		ssl? ( dev-libs/openssl )"
+		sqlite? ( dev-db/sqlite:3 )
+		ssl? ( dev-libs/openssl )
+		xml? ( dev-libs/expat )"
 DEPEND="${RDEPEND}"
 PDEPEND="app-admin/python-updater"
 
@@ -45,7 +46,7 @@
 }
 
 src_compile() {
-
+	local conf
 	if use jit; then
 		conf="-Ojit"
 	else
@@ -57,8 +58,8 @@
 
 	conf+=" ./pypy/translator/goal/targetpypystandalone.py"
 	# Avoid linking against libraries disabled by use flags
-	optional_use=("bzip2" "ncurses" "xml" "ssl")
-	optional_mod=("bz2" "_minimal_curses" "pyexpat" "_ssl")
+	local optional_use=("bzip2" "ncurses" "xml" "ssl")
+	local optional_mod=("bz2" "_minimal_curses" "pyexpat" "_ssl")
 	for ((i = 0; i < ${#optional_use[*]}; i++)); do
 		if use ${optional_use[$i]};	then
 			conf+=" --withmod-${optional_mod[$i]}"
@@ -67,17 +68,23 @@
 		fi
 	done
 
-	translate_cmd="$(PYTHON -2) ./pypy/translator/goal/translate.py $conf"
+	local translate_cmd="$(PYTHON -2) ./pypy/translator/goal/translate.py $conf"
 	echo ${_BOLD}"${translate_cmd}"${_NORMAL}
 	${translate_cmd} || die "compile error"
 }
 
 src_install() {
-	INSPATH="/usr/$(get_libdir)/pypy${SLOT}"
+	local INSPATH="/usr/$(get_libdir)/pypy${SLOT}"
 	insinto ${INSPATH}
 	doins -r include lib_pypy lib-python pypy-c
 	fperms a+x ${INSPATH}/pypy-c
 	dosym ../$(get_libdir)/pypy${SLOT}/pypy-c /usr/bin/pypy-c${SLOT}
+
+	if ! use sqlite; then
+		rm -fr "${ED}${INSPATH}/lib-python/2.7/sqlite3"
+		rm -fr "${ED}${INSPATH}/lib-python/modified-2.7/sqlite3"
+		rm -f "${ED}${INSPATH}/lib_pypy/_sqlite3.py"
+	fi
 }
 
 src_test() {



1.10                 dev-python/pypy/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pypy/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog	1 Feb 2012 20:46:19 -0000	1.9
+++ ChangeLog	2 Feb 2012 22:04:21 -0000	1.10
@@ -1,6 +1,9 @@
 # ChangeLog for dev-python/pypy
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy/ChangeLog,v 1.9 2012/02/01 20:46:19 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy/ChangeLog,v 1.10 2012/02/02 22:04:21 floppym Exp $
+
+  02 Feb 2012; Mike Gilbert <floppym@g.o> pypy-1.7-r2.ebuild:
+  Add sqlite USE flag, patch by Arfrever. Make several variables local.
 
 *pypy-1.7-r2 (01 Feb 2012)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-ruby/loquacious: loquacious-1.9.1.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in sys-fs/udev-init-scripts: - New directory
Previous by date:
gentoo-x86 commit in dev-ruby/loquacious: loquacious-1.9.1.ebuild ChangeLog
Next by date:
gentoo-x86 commit in sys-fs/udev-init-scripts: - New directory


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.